# This script measures pitch every 10ms
# ask a user the directories
# Change "PATH"
form Analyze pitch maxima from labeled segments in files
	comment Directory of sound files
	text input_directory  "PATH"\wavFile
	comment Directory of output files
	text output_directory "PATH"\intensity
	comment Directory of done files
	sentence done_dir  "PATH"\done
	sentence type_file wav
	positive time_step 0.01
	positive min_f0 75
endform

# finding files we are looking for
Create Strings as file list... list 'input_directory$'\*.'type_file$'
numberOfFiles = Get number of strings
for i to numberOfFiles 
	select Strings list
	fileName$ = Get string... i
	Read from file... 'input_directory$'\'fileName$'
	sound = selected  ("Sound", 1)

	To Intensity... min_f0 time_step
	intensity = selected  ("Intensity", 1)

	Down to IntensityTier
	intensitytier = selected  ("IntensityTier", 1)

	Down to TableOfReal
	Write to headerless spreadsheet file... 'output_directory$'\'fileName$'.en
	Remove
	
	system mv 'input_directory$'\'fileName$' 'done_dir$'  
	# remove current objects below so that it does not reach 1000 (=max  number of objects allowed)
	select sound
	plus intensity
	plus intensitytier 
	Remove
endfor
