# This script measures pitch every 10ms
# ask a user the directories
# Change "PATH"
form Analyze pitch maxima from labeled segments in files
	comment Directory of sound files
	text input_directory  "PATH"\data
	comment Directory of output files
	text output_directory "PATH"\formants
	sentence type_file wav
	# positive max_formants value suggestion: male: 5000, female: 5500
	positive max_formants 5000
	positive window_length 0.02
	integer maximum_number_of_formants 5
	positive time_step 0.01
	real preemphasis_from 50
	integer time_decimals 2
	integer frequency_decimals 1
endform

# finding files we are looking for
Create Strings as file list... list 'input_directory$'\*.'type_file$'
# the name of files - later we could track each file
numberOfFiles = Get number of strings

for ifile to numberOfFiles
	select Strings list
	fileName$ = Get string... ifile
	Read from file... 'input_directory$'\'fileName$'
endfor

select all
numSelected = numberOfSelected ("Sound")

# change the name of each file - for batch processing
for i to numSelected
	select all
	currSoundID = selected ("Sound", i)
	select 'currSoundID'
	currName$ = "word_'i'"
	Rename... 'currName$'
endfor

for i to numberOfFiles 
	select Strings list
	fileName$ = Get string... i

	select Sound word_'i'
	
	# newName$ = "word_'i'"
	select Sound word_'i'
	
	To Formant (burg)... time_step maximum_number_of_formants max_formants window_length preemphasis_from
	formant = selected ("Formant", 1)

	# 1: include frame number, 2: include time, 3: time decimals, 4: include intensity,
	# 5: intensity decimals, 6: include number of formants, 7: freq. decimals,
	# 8: include bandwidths
	Down to Table... no yes time_decimals no 3 yes frequency_decimals yes
	Write to table file... 'output_directory$'\'fileName$'.FsBs_ToFormantBurg
	
	# remove current objects below so that it does not reach 1000 (=max  number of objects allowed)
	select Sound word_'i'
	plus formant
	plus Table word_'i'
	Remove
endfor
select Strings list
Remove
