# This script measures pitch every 10ms
# ask a user the directories
# Change "PATH"
form Analyze pitch maxima from labeled segments in files
	comment Directory of sound files
	text input_directory  "PATH"\wavFile
	comment Directory of output files
	text output_directory "PATH"\pitch
	comment Directory of done files
	sentence done_dir  "PATH"\done
	sentence type_file wav
	positive max_f0 500
	positive min_f0 75
	positive time_step 0.01
endform

# finding files we are looking for
Create Strings as file list... list 'input_directory$'\*.'type_file$'
numberOfFiles = Get number of strings
for i to numberOfFiles 
	select Strings list
	fileName$ = Get string... i
	Read from file... 'input_directory$'\'fileName$'
	sound = selected  ("Sound", 1)

	To Pitch... time_step 'min_f0' 'max_f0'
	pitch = selected  ("Pitch", 1)
	Down to PitchTier
	pitchtier = selected  ("PitchTier", 1)

	Down to TableOfReal... Hertz
	Write to headerless spreadsheet file... 'output_directory$'\'fileName$'.f0
	Remove
	
	system mv 'input_directory$'\'fileName$' 'done_dir$'  
	# remove current objects below so that it does not reach 1000 (=max  number of objects allowed)
	select sound
	plus pitch
	plus pitchtier  
	Remove
endfor
